[data-name="tablerow"] td,
tr.body td {
    font-size: 13px !important;
    padding: 0.8rem
}

.info--escort {
    display: flex;
    box-sizing: border-box;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.info--escort--showname .showname-container{
    font-size: 16px;
}

.info--escort--showname .id-container{
    font-size: 14px;
}
.button--edit:hover,
.button--delete:hover {
    opacity: 0.8;
    cursor: pointer;
}

.self-checkout-container .action-buttons {
    color: grey
}

.modal-body [data-component="tr"],
.modal-body [data-component="td"] {
    margin-top: 15px;
}

@media screen and (max-width: 768px) {

    .modal-button--checkout {
        font-size: 22px !important;
    }

    .action-buttons {
        position: fixed;
        display: flex;
        bottom: 53px;
        left: 0;
        width: 100% !important;
        height: 45px;
        justify-content: center !important;
        z-index: 900;
        padding: 0 !important;
        border: none;
    }

    .action-buttons .button--edit {
        flex-basis: 50%;
        background-color: #47e;
        display: flex;
        justify-content: center;
        align-items: center;
        color: white !important
    }

    .action-buttons .button--delete {
        flex-basis: 50%;
        background-color: #dc3545;
        display: flex;
        justify-content: center;
        align-items: center;
        color: white !important
    }

    .self-checkout-container {
        padding-bottom: 50px;
    }

    .go-to-cart {
        width: 70px !important;
        height: 70px !important;
    }

    .table.agency-cart-review td,
    .table.agency-cart-review th {
        width: 25%;
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
        padding: .8rem;
    }

    .table.agency-cart-review {
        table-layout: fixed
    }

    .table.agency-cart-review tr td:last-child {
        display: none;
    }

    .go-to-page {
        width: 45px !important;
    }

    .self-checkout-container .bar {
        flex-direction: column;
    }

    .self-checkout-container .bar div {
        width: 100%;
        padding-top: 3px;
        padding-bottom: 3px;
    }

    .self-checkout-container .bar .search-bar {
        padding-right: 0px !important;
    }

    .self-checkout-container .action-buttons {
        position: fixed;
        display: flex;
        bottom: 53px;
        left: 0;
        width: 100%;
        height: 45px;
        justify-content: center !important;
        z-index: 900;
        padding: 0 !important;
        border: none;
    }

    .self-checkout-container .action-buttons .button--edit {
        flex-basis: 50%;
        background-color: #47e;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .self-checkout-container .action-buttons .button--delete {
        flex-basis: 50%;
        background-color: #dc3545;
        display: flex;
        justify-content: center;
        align-items: center;
        color: white !important;
    }

    .self-checkout-container .action-buttons .fa-remove:before,
    .fa-close:before,
    .fa-times:before,
    .self-checkout-container .action-buttons .fa-edit:before,
    .fa-pencil-square-o:before {
        color: white;
    }

    .self-checkout-container .card-header {
        margin-bottom: 0px !important;
    }

    .card-header > i {
        margin-left: auto;
        margin-top: 3px;
        margin-bottom: 3px;
        margin-right: 0px;
    }

    .self-checkout-container .cart-review {
        margin-bottom: 0px;
        display: flex;
    }

    .self-checkout-container .agency-cart-review {
        margin-bottom: 0px;
    }

    .self-checkout-container .cart-review .columnHead {
        display: none;
    }

    .self-checkout-container .agency-cart-review .columnHead {
        display: none;
    }

    .agency-cart-review tr.selected-escort {
        background-color: #b88c5a;
        color: white;
        border-left: 3px solid #cfd8dc;
    }

    .table.agency-cart-review tr.selected-escort td:last-child {
        display: flex !important;
    }


    .self-checkout-container .cart-review .head,
    .self-checkout-container .cart-review .body {
        display: flex;
        flex-direction: column;
        flex-basis: 50%;
    }

    .self-checkout-container .cart-review tr td,
    .self-checkout-container .agency-cart-review tr td {
        padding: 0.8rem;
    }
}

@media screen and (min-width: 768px) {
    .self-checkout-container .agency-cart-review td.action-buttons {
        display: flex !important;
    }

    .self-checkout-container .cart-review tr td,
    .self-checkout-container .agency-cart-review tr td {
        padding: 0.8rem;
    }

    #ModalOverlay .modal-header {
        font-size: 24px !important;
    }

    #ModalOverlay .modal-body {
        font-size: 16px !important;
    }
}

.p-static {
    position: static;
}

.self-checkout-container .bar {
    border-radius: 3px 3px 0 0;
    display: flex;
    padding: 10px;
}

.self-checkout-container .bar .title {
    font-size: 0.875rem;
    margin-top: auto;
    margin-bottom: auto;
    padding-right: 5px;
}

.self-checkout-container .bar input,
.self-checkout-container .bar select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    height: 35px;
    padding-left: 12px;
    padding-right: 18px;
    box-sizing: border-box;
    width: 100%;
    border: none;
    box-shadow: none;
    outline: none;
    color: #959595;
    background: white;
    font-size: 14px;
    border-radius: 3px;
}

.self-checkout-container .info--escort {
    display: flex;
    box-sizing: border-box;
    flex-direction: row;
}

.self-checkout-container .info--escort p,
img {
    margin-top: auto;
    margin-bottom: auto;
}

.self-checkout-container .info--escort p:first-child {
    color: #ed145b;
}

.self-checkout-container .bar .search-bar {
    position: relative;
    margin-left: auto;
    padding-right: 10px;
}

.self-checkout-container .bar .search-bar:after {
    content: '';
    width: 14px;
    height: 13px;
    position: absolute;
    right: 20px;
    top: 11px;
    background-image: url("../img/search-icon.png");
}

.self-checkout-container .bar .sort-bar:after {
    content: '';
    width: 14px;
    height: 13px;
    position: absolute;
    right: 48px;
    top: 18px;
    background-image: url(/img/down-arrow.png);
    background-repeat: no-repeat;
}

@media screen and (max-width: 768px) {
    .escorts-list-wrapper .tr {
        flex-direction: column;
    }

    .escorts-list-wrapper .tr {
        margin: auto;
    }

    .fixed-button {
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
        z-index: 99;
        padding: 0.5rem 1rem;
        font-size: 1.25rem;
        line-height: 1.5;
    }
}

img[data-component=image] {
    width: 120px !important;
    height: 120px !important;
    min-width: 120px;
    border-radius: 5px !important;
    margin-top: 0;
}

.escorts-list-wrapper .tr {
    display: flex;
    line-height: 30px;
    width: 100%;
    font-size: 16px;
    color: #363636;
    padding: 13px 30px;
    border-bottom: 1px solid #eeece9;
    box-sizing: border-box;
    background: white;

}

.escorts-list-wrapper .tr .desc--row {
    flex-grow: 10;
    margin: 5px 0;
}


.escorts-list-wrapper .tr .wrapper--button.disabled {
    position: relative;
}

.info-wrapper-bottom{
    width: 100%;
    margin-left: 20px;
}

.escorts-list-wrapper.agency .tr .desc--row {
    margin: auto;
    text-align: left;
    font-size: 14px;
}

.escorts-list-wrapper:not(.agency) .wrapper--button button[data-name="purchase-button"]{
    background: #1a1f3c;
    color: white;
    padding: 10px 25px !important;
}

.escorts-list-wrapper.agency .wrapper--button button[data-name="purchase-button"] {
    background: #1a1f3c;
    color: #fff;
    font-weight: bolder;
    font-size: 13px;
}

.escorts-list-wrapper.agency .wrapper--button button[data-name="purchase-button"]:hover,
.escorts-list-wrapper.agency .wrapper--button button[data-name="purchase-button"]:focus{
    background: #2a3363 !important;
}

@media screen and (max-width: 768px) {
    .escorts-list-wrapper.agency .tr .desc--row {
        margin: auto;
        text-align: left;
    }


    .info-wrapper-bottom{
        margin-left: 0 !important;
    }
}

.escorts-list-wrapper.agency .tr .info--escort--showname {
    width: 100%;
}

.escorts-list-wrapper.agency .tr .wrapper--button {
    margin: auto;
    padding-top: 20px;
}

.button--purchase.disabled + .tooltip,
.button--extend.disabled + .tooltip {
    position: absolute;
    width: 150px;
    font-size: 12px;
    line-height: 13px;
    background: #dcdcdc;
    padding: 5px;
    border-radius: 3px;
    color: #000000;
    pointer-events: none;
    right: -11px;
    top: 50px;
    text-align: center;
    opacity: 0;
}

#packageActivationDate {
    -webkit-appearance: none;
    appearance: none;
    box-shadow: none;
    width: 150px;
    background: none;
    border-width: 0;
    border-bottom: 1px solid #eee;
    font-size: 20px;
    color: #ed145be8;
    padding: 0 0 5px 30px;
    text-align: left;
    outline: none;
}


.wrapper--button .tooltip:after {
    content: '';
    position: absolute;
    bottom: 100%;
    left: 50%;
    margin-left: -8px;
    width: 0;
    height: 0;
    border-bottom: 8px solid #dcdcdc;
    border-right: 8px solid transparent;
    border-left: 8px solid transparent;
}

.button--remove-from-cart {
    -webkit-appearance: none;
    -moz-appearance: none;
    border: none;
}

.wrapper--button .button--extend:hover {
    background-color: #ed145b;
    color: #fff;
}


.self-checkout-container .bar--inverted {
    border-radius: 3px 3px 0 0;
    display: flex;
    padding: 10px 0;
}

.self-checkout-container .bar--inverted .title {
    font-size: 16px;
    text-transform: uppercase;
    flex-grow: 6;
    padding: 10px 0;
    line-height: 16px;
    font-weight: 900;
}

.self-checkout-container [data-name="cart"] .table {
    width: 100%;
}

.self-checkout-container [data-name="cart"] .table .head {
}

.table .head .td {
    font-weight: 600;
    padding: 0.8rem;
}

.self-checkout-container [data-name="cart"] .table .row {
    background-color: #fff;
    border-bottom: 1px solid #eee;
}

.self-checkout-container [data-name="cart"] .table .row .td {
    padding: 20px;
    font-size: 16px;
}

.self-checkout-container [data-name="cart"] .table .row .td[data-name="toolbox"] {
    text-align: right;
}

.self-checkout-container .actions i:hover {
    cursor: pointer;
    filter: brightness(85%);
}


.instant-popup-close-btn {
    display: block;
    width: 30px;
    height: 30px;
    position: absolute;
    right: 0;
    top: 0;
    text-align: center;
    line-height: 30px;
    font-size: 24px;
    color: #999;
    cursor: pointer;
}

.instant-popup-close-btn:hover {
    color: #333;
}


#ModalOverlay .Modal {
    padding: 20px;
    width: 400px;
    position: fixed;
    transform: translate(-50%, -50%);
    left: 50%;
    top: 50%;
    background-color: rgb(255, 255, 255);
    border-radius: 3px;
    opacity: 0;
    box-shadow: rgba(0, 0, 0, 0.2) 0px 5px 10px;
    animation-name: modal-appear;
    animation-duration: .2s;
    z-index: 99999;
}

#ModalOverlay * {
    user-select: none;
    border-radius: 2px;
}

#ModalOverlay {
    background: #000000a1;
}


#ModalOverlay .Modal {
    padding: 20px;
    width: 560px;
    position: fixed;
    transform: translate(-50%, -50%);
    left: 50%;
    top: 50%;
    background-color: rgb(255, 255, 255);
    border-radius: 3px;
    opacity: 0;
    box-shadow: rgba(0, 0, 0, 0.2) 0px 5px 10px;
    animation-name: modal-appear;
    animation-duration: .2s;
}

@keyframes modal-appear {
    0% {
        transform: scale(1.1) translate(-50%, -50%);
        opacity: 0;
    }

    100% {
        transform: scale(1) translate(-50%, -50%);
        opacity: 1;
    }
}

#ModalOverlay .Modal.shown {
    transform: translate(-50%, -50%) scale(1);
    opacity: 1;
}

#ModalOverlay .Header {
    font-size: 20px;
    color: #363636;
    margin-top: 0;
    margin-bottom: 20px;
}

#ModalOverlay .Body {
    font-size: 15px;
    font-weight: 100;
    color: #000;
    line-height: 22px;
    padding-bottom: 60px;
}

#ModalOverlay .close-btn {
    display: block;
    width: 30px;
    height: 30px;
    position: absolute;
    right: 0;
    top: 0;
    text-align: center;
    line-height: 30px;
    font-size: 24px;
    color: #999;
    cursor: pointer;
}

#ModalOverlay .close-btn:hover {
    color: #333;
}

.sc-input-block label {
    position: relative;
    display: block;
    padding: 5px 30px 5px;
    cursor: pointer;
}

.sc-input-block input[type="radio"] {
    display: none;
}


.sc-input-block label:before {
    left: 0;
    top: 4px;
    position: absolute;
    color: #fff;
    font-size: 20px;
    content: '';
    display: inline-block;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    border: 2px solid #20a8d8;
    transition: all 0.2s;
}

.sc-input-block input[type="radio"] + label:after {
    left: 5px;
    top: 9px;
    position: absolute;
    color: #fff;
    font-size: 20px;
    content: '';
    display: inline-block;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background: #fff;
    transition: transform 0.2s;
}

.sc-input-block input[type="radio"] + label:hover::after {
    background: #eee;
}

.sc-input-block input[type="radio"]:checked + label:after {
    background: #20a8d8;
    transform: scale(1.1);
}

.sc-input-block input[type="radio"]:disabled + label:before {
    border: 2px solid #999;
}

.sc-input-block input[type="radio"]:checked:disabled + label:after {
    background: #999;
    transform: scale(1.1);
}

#ModalOverlay .Body .row {
    display: flex;
    padding: 20px;
    border-bottom: 1px solid #eee;
    flex-wrap: wrap;
}

#ModalOverlay .Body .row.paddingless {
    padding: 20px;
}

.block--country {
    font-size: 18px;
}

.block--country strong {
    font-weight: bold;
}

#ModalOverlay .Body .row:last-child {
    border-bottom: none;
    margin-bottom: 80px;
}

#ModalOverlay .Body .footer {
    background-color: #f5f5f5;
    width: 100%;
    left: 0;
    height: 80px;
    position: absolute;
    bottom: 0;
    padding: 20px;
    box-sizing: border-box;
}

#ModalOverlay .footer .total-amount {
    margin-top: auto;
    margin-bottom: auto;
    padding: 5px;
    font-size: 18px;
    font-weight: bold;
}

#ModalOverlay .footer .amount {
    margin-top: auto;
    margin-bottom: auto;
    padding: 5px;
    font-size: 18px;
    font-weight: bold;
}

.total-amount-data strong {
    font-weight: bold;
}

.modal-button--checkout,
#ModalOverlay .Body .footer .modal-button--continue,
#ModalOverlay .Body .footer .modal-button--amount {
    float: right;
    -webkit-appearance: none;
    background: rgb(26, 31, 61);
    color: #fff;
    font-size: 16px;
    text-transform: uppercase;
    border: none;
    padding: 10px 20px;
    border-radius: 3px;
    cursor: pointer;
}

.modal-button--checkout:focus,
#ModalOverlay .Body .footer .modal-button--continue:focus,
#ModalOverlay .Body .footer .modal-button--amount:focus {
    color: white !important
}

#ModalOverlay .Body .footer .modal-button--gotocart {
    float: right;
    -webkit-appearance: none;
    background: #ee145a;
    color: #fff;
    font-size: 16px;
    text-transform: uppercase;
    border: none;
    padding: 10px 20px;
    border-radius: 3px;
    cursor: pointer;
    margin-left: 10px;
}

.overlay--tr {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0px;
    top: 0px;
    z-index: 999;
    background: rgba(0, 0, 0, 0.3);
    color: rgba(255, 255, 255, 0.3);
    text-align: center;
    line-height: 100px;
    font-size: 50px;
    text-transform: uppercase;
    font-weight: bold;
}

.go-to-page {
    display: block;
    height: 40px;
    width: 170px;
    line-height: 20px;
    background-color: #b98c5b;
    padding: 10px;
    color: #fff;
    box-sizing: border-box;
    font-size: 15px;
    border-radius: 3px;
    transition: background-color 0.2s;
}

.go-to-cart {
    display: flex;
    height: 50px;
    width: 50px;
    box-sizing: border-box;
    border: none;
    box-shadow: none;
    outline: none;
    color: #ffffff;
    font-size: 18px;
    border-radius: 3px;
    background-color: #b98c5b;
    cursor: pointer;
    margin-left: 7px;
    align-items: center;
    justify-content: center;
    position: relative;
}

.go-to-cart::before {
    font-size: 22px;
}

.footer--cart {
    padding: 20px 0;
    font-size: 20px;
    width: 100%;
    box-sizing: border-box;
}

.self-checkout-container .bar .sort-bar {
    position: relative;
}

.go-to-cart:hover,
.go-to-page:hover {
    background-color: #ffffff;
    transition: all .5s;
    color: #b98c5b;
    text-decoration: none;
}

#ModalOverlay .Body .row .sc-input-block {
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: 50%;
    padding: 5px 0;
}

#ModalOverlay .modal-body .text-muted {
    font-size: .8rem;
}

#ModalOverlay.modal {
    overflow: auto !important;
}

#ModalOverlay.modal .modal-dialog {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) !important;
    margin: 0;
    width: 98%;
}

#ModalOverlay .Body .row .sc-input-block label span {
    display: block;
    font-size: 14px;
    color: #636363;
}

#ModalOverlay #premium_packageActivationDate {
    border: none;
    color: #b48350;
    font-weight: bold;
    padding: 0.2rem;
    margin: 0.1rem;
}

.vertical-line {
    border-left: 2px solid #cfd8dc;
    height: 290px;
}
#premium_packageActivationDate{
    background-color: rgb(235, 235, 228);
}

@media screen and (min-width: 769px) {
    #ModalOverlay .pika-single {
        position: absolute !important;
    }

    .self-checkout-container .action-buttons .button--edit {
        margin-right: 5px;
    }

    .agency-cart-review td.action-buttons {
        display: flex !important;
    }
}

@media all and (max-width: 480px) {
    #ModalOverlay .modal {
        width: 100%;
        height: 100%;
    }

    #searchbar > input {
        padding: 10px;
    }

    #sort_by_filter {
        padding: 24px 0px 0 11px;
    }

    .box-section .dropdown-selection.single-option .dropdown-toggle {
        max-height: 56px !important;
    }

    .go-to-cart {
        width: 40px !important;
        height: 40px !important;
        margin-left: 18px !important;
    }

    .sort-bar{
        align-items: center
    }

    .info-wrapper-bottom {
        flex-direction: column;
    }

    .info--escort {
        flex-direction: column;
        align-items: flex-start;
        padding: 0px 17px;
    }

    .desc--row.my-auto.d-flex,
    .desc--row.in-cart {
        padding: 0px 17px;
    }

    .escorts-list-wrapper .tr{
        flex-direction: row;
    }
}

.go-to-cart .cart-packages-count {
    font-size: 12px;
    background: #ee145a;
    color: white;
    border-radius: 50%;
    position: absolute;
    padding: 3px;
    padding-left: 5px;
    padding-right: 5px;
    top: -4px;
    right: -4px;
    font-family: "Open Sans";
}

@media screen and (device-aspect-ratio: 40/71) {

    .self-checkout-container .cart-review tr td,
    .self-checkout-container .agency-cart-review tr td {
        padding: 0.5rem;
    }

}


@media screen and (max-width: 768px) {
    div[data-name="cart"] {
        display: block;
        overflow: hidden;
    }

    div[data-name="cart"] table.agency-cart-review {
        overflow: scroll;
        width: 100%;
        display: block;
        padding-bottom: 45px;
    }
}